package com.cretin.webapi

import org.mybatis.spring.annotation.MapperScan
import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.runApplication
import org.springframework.data.redis.repository.configuration.EnableRedisRepositories


@SpringBootApplication(scanBasePackages = ["com.cretin"])
@EnableRedisRepositories
@MapperScan("com.cretin.webdb.mapper")
class WebApiApplication

fun main(args: Array<String>) {
    System.setProperty("user.timezone", "Etc/GMT-8")
    runApplication<WebApiApplication>(*args)
}
